sizes = [5, 10, 15, 20, 25, 30]
pb_times = [2.374, 6.601, 16.207, 31.400, 64.519, 104.874]
kwant_times = [3.054, 9.781, 22.833, 46.033, 91.581, 146.218]

plt.figure(figsize=(3, 2.4))
pb.pltutils.set_palette("Set1", start=3)
plt.plot(sizes, pb_times, label="pybinding", marker='o', markersize=5, lw=2, zorder=20)
plt.plot(sizes, kwant_times, label="kwant", marker='o', markersize=5, lw=2, zorder=10)
plt.grid(True, which='major')
plt.title("transmission calculation time")
plt.xlabel("system size (nm)")
plt.ylabel("time (seconds)")
plt.xlim(0.8 * min(sizes), 1.05 * max(sizes))
pb.pltutils.despine()
pb.pltutils.legend(loc='upper left', reverse=True)